Apple Releases iSync 1.4

Apple posted iSync 1.4 to your Software Update:

iSync 1.4 includes support for more Symbian OS smart phones and the iPod mini, as well as stability improvements.

Before you install iSync 1.4, you must install iCal 1.5.1 or later. To download the latest version of iCal, visit www.apple.com/ical.